"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var babelrc_js_1 = __importDefault(require("../babelrc.js"));
var utils_1 = __importDefault(require("../utils"));
// import paths from '../paths';
var BABEL_REGEX = /\.(jsx|js|mjs)$/;
function getBabelLoader(rcb) {
    // let include;
    // if (Array.isArray(rcb.transpileDependencies) && rcb.transpileDependencies.length > 0) {
    //     include = [
    //         paths.src,
    //         ...rcb.transpileDependencies?.map(i => require.resolve(paths.getNodeModules(i)))
    //     ];
    // }
    return ({
        test: BABEL_REGEX,
        // include,
        exclude: [
            /@babel(?:\/|\\{1,2})runtime|core-js/
        ],
        use: [
            {
                loader: require.resolve('babel-loader'),
                options: utils_1.default.mergeBabelConfig(babelrc_js_1.default, { plugins: rcb.babelPlugins, presets: rcb.babelPresets })
            }
        ]
    });
}
exports.default = getBabelLoader;
