"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var getCssLoader_1 = __importDefault(require("./getCssLoader"));
var lessRegex = /\.less$/;
function getLessLoader(rcb) {
    return ({
        test: lessRegex,
        use: getCssLoader_1.default.getStyleLoader(rcb, {
            loader: require.resolve('less-loader'),
            options: {
                sourceMap: true,
                lessOptions: {
                    javascriptEnabled: true,
                    math: 'always'
                }
            }
        })
    });
}
exports.default = getLessLoader;
;
