"use strict";
var __spreadArray = (this && this.__spreadArray) || function (to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var path_1 = __importDefault(require("path"));
var fs_1 = __importDefault(require("fs"));
var root = fs_1.default.realpathSync(process.cwd());
function getResolvePath(filePath) {
    return path_1.default.resolve(root, filePath);
}
function getJoinPath() {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    return path_1.default.join.apply(path_1.default, __spreadArray([root], args));
}
function getNodeModules(filePath) {
    return path_1.default.resolve(root, 'node_modules', filePath);
}
exports.default = {
    root: root,
    src: getResolvePath('src'),
    appTsConfig: getResolvePath('tsconfig.json'),
    appNodeModules: getNodeModules(''),
    getNodeModules: getNodeModules,
    getJoinPath: getJoinPath,
    getResolvePath: getResolvePath
};
